API DocsAI Model APIsModelsList

Native OpenAI Format

Retrieve the list of currently available models.

Native OpenAI Format

Retrieve the list of currently available models.

The response format is automatically determined by the request headers:

  • Returns Anthropic format when x-api-key and anthropic-version headers are present
  • Returns Gemini format when x-goog-api-key header or key query parameter is present
  • Returns OpenAI format otherwise

Base URL

  • https://autorouter.top — Production

Authentication

BearerAuth: http (bearer) Authenticate using a Bearer Token. Format: Authorization: Bearer sk-xxxxxx

Endpoints

GET /v1/models

Native OpenAI Format

Retrieve the list of currently available models.

The response format is automatically determined by the request headers:

  • Returns Anthropic format when x-api-key and anthropic-version headers are present
  • Returns Gemini format when x-goog-api-key header or key query parameter is present
  • Returns OpenAI format otherwise

Parameters

NameInTypeRequiredDescription
keyquerystringNoGoogle API Key (for Gemini format)
x-api-keyheaderstringNoAnthropic API Key (for Claude format)
anthropic-versionheaderstringNoAnthropic API version
x-goog-api-keyheaderstringNoGoogle API Key (for Gemini format)

Responses

200: Successfully retrieved model list

Content-Type: application/json

401: Authentication failed

Content-Type: application/json

Request Example

curl -X GET "https://autorouter.top/v1/models"

Response Examples

{
  "object": "list",
  "data": [
    {
      "id": "gpt-4",
      "object": "model",
      "created": 0,
      "owned_by": "openai"
    }
  ]
}

On this page